//--------------------------------------------------------------
//  信号処理のための基底クラス
//
//  2017/04/06, Copyright (c) 2017 MIKAMI, Naoki
//--------------------------------------------------------------

#ifndef PROCESSING_BASE_HPP
#define PROCESSING_BASE_HPP

namespace Mikami
{
    class ProcessingBase
    {
    public:
        ProcessingBase() {}
        virtual ~ProcessingBase() {}

        virtual float Execute(float xn)
        { return xn; }
    };
}
#endif  // PROCESSING_BASE_HPP
